Package org.springframework.web.servlet.resource

# Class CssLinkResourceTransformer.AbstractLinkParser

java.lang.Object
org.springframework.web.servlet.resource.CssLinkResourceTransformer.AbstractLinkParser

All Implemented Interfaces:
  `CssLinkResourceTransformer.LinkParser`

Enclosing class:
  CssLinkResourceTransformer

protected abstract static class CssLinkResourceTransformer.AbstractLinkParser extends Object implements CssLinkResourceTransformer.LinkParser
Abstract base class for `CssLinkResourceTransformer.LinkParser` implementations.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractLinkParser()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`extractLink(int index, String endKey, String content, SortedSet<org.springframework.web.servlet.resource.CssLinkResourceTransformer.ContentChunkInfo> linksToAdd)`
`protected abstract int`
`extractLink(int index, String content, SortedSet<org.springframework.web.servlet.resource.CssLinkResourceTransformer.ContentChunkInfo> linksToAdd)`
Invoked after a keyword match, after whitespace has been removed, and when the next char is neither a single nor double quote.
`protected abstract String`
`getKeyword()`
Return the keyword to use to search for links, for example, "@import", "url(".
`void`
`parse(String content, SortedSet<org.springframework.web.servlet.resource.CssLinkResourceTransformer.ContentChunkInfo> result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractLinkParser

protected AbstractLinkParser()

## Method Details

### getKeyword

protected abstract String getKeyword()
Return the keyword to use to search for links, for example, "@import", "url(".

### parse

public void parse(String content, SortedSet<org.springframework.web.servlet.resource.CssLinkResourceTransformer.ContentChunkInfo> result)

Specified by:
  `parse` in interface `CssLinkResourceTransformer.LinkParser`

### extractLink

protected int extractLink(int index, String endKey, String content, SortedSet<org.springframework.web.servlet.resource.CssLinkResourceTransformer.ContentChunkInfo> linksToAdd)

### extractLink

protected abstract int extractLink(int index, String content, SortedSet<org.springframework.web.servlet.resource.CssLinkResourceTransformer.ContentChunkInfo> linksToAdd)
Invoked after a keyword match, after whitespace has been removed, and when the next char is neither a single nor double quote.